# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v4.19.183
  - 78fec1611cbf Linux 4.19.183
  - b0834edc70e4 cifs: Fix preauth hash corruption
  ACK: pavel
  - c18a5f637b14 x86/apic/of: Fix CPU devicetree-node lookups
  ACK: pavel
  - b6e961646de6 genirq: Disable interrupts for force threaded handlers
  ACK: pavel
  - 1b59600cd8ac ext4: fix potential error in ext4_do_update_inode
  UR: pavel -- ? looks like this overwrites error?
  - a8fb57ec924f ext4: do not try to set xattr into ea_inode if value is empty
  ACK: pavel
  - 5cdacb418169 ext4: find old entry again if failed to rename whiteout
  ACK: pavel
  - 1454a47fb97a x86: Introduce TS_COMPAT_RESTART to fix get_nr_restart_syscall()
  ACK: pavel -- behaviour change, not a bugfix, and we had it for long time
  - 2c79ceeec4fd x86: Move TS_COMPAT back to asm/thread_info.h
  ACK: pavel -- just a cleanup/preparation
  - 6cd1e19841fc kernel, fs: Introduce and use set_restart_fn() and arch_set_restart_data()
  ACK: pavel -- just a cleanup/preparation
  - 2409e66dfeff x86/ioapic: Ignore IRQ2 again
  UR: pavel --! I'd expect printk there...
  - b35214c54136 perf/x86/intel: Fix a crash caused by zero PEBS status
  pavel -- version of this patch for older release reviewed
  - f27a00f0d5b0 PCI: rpadlpar: Fix potential drc_name corruption in store functions
  ACK: pavel
  - c230ae35740e iio: hid-sensor-temperature: Fix issues of timestamp channel
  ACK: pavel
  - 33cbca990289 iio: hid-sensor-prox: Fix scale not correct issue
  ACK: pavel
  - 42cae14ad2a8 iio: hid-sensor-humidity: Fix alignment issue of timestamp channel
  ACK: pavel
  - 9f275ea15dec iio: gyro: mpu3050: Fix error handling in mpu3050_trigger_handler
  UR: pavel
  - f8ff441921fb iio: adis16400: Fix an error code in adis16400_initial_setup()
  ACK: pavel
  - ed1323e4d591 iio:adc:qcom-spmi-vadc: add default scale to LR_MUX2_BAT_ID channel
  ACK: pavel
  - bf348faad0e7 iio:adc:stm32-adc: Add HAS_IOMEM dependency
  ACK: pavel
  - c3a4fc9f37af usb: gadget: configfs: Fix KASAN use-after-free
  ACK: pavel
  - eac35ed3f834 USB: replace hardcode maximum usb string length by definition
  ACK: pavel -- minor cleanup, not a bugfix
  - 682517dce5ff usbip: Fix incorrect double assignment to udc->ud.tcp_rx
  ACK: pavel
  - b5bb40b33647 usb-storage: Add quirk to defeat Kindle's automatic unload
  ACK: pavel
  - 734b262cf7cb powerpc: Force inlining of cpu_has_feature() to avoid build failure
  ACK: pavel
  - 5d9873e46c6d nvme-rdma: fix possible hang when failing to set io queues
  ACK: pavel
  - 934aa852f836 scsi: lpfc: Fix some error codes in debugfs
  ACK: pavel
  - c5d4f79b3c24 net/qrtr: fix __netdev_alloc_skb call
  ACK: pavel -- I'd rather see sanity check in the code
  - 98982cf79974 sunrpc: fix refcount leak for rpc auth modules
  ACK: pavel
  - 6ae439d18724 svcrdma: disable timeouts on rdma backchannel
  ACK: pavel
  - ca2cc2ee95b8 NFSD: Repair misuse of sv_lock in 5.10.16-rt30.
  UR: pavel -- check they got them all
  - 268b3c60897f nvmet: don't check iosqes,iocqes for discovery controllers
  ACK: pavel
  - fac089ce7b33 ASoC: fsl_ssi: Fix TDM slot setup for I2S mode
  ACK: pavel
  - 412795cfdde0 btrfs: fix slab cache flags for free space tree bitmap
  ACK: pavel -- just a performance improvement
  - 12dc6889bcff btrfs: fix race when cloning extent buffer during rewind of an old root
  ACK: pavel
  - 02aa2574350f tools build: Check if gettid() is available before providing helper
  - 65e8604da2e7 tools build feature: Check if eventfd() is available
  - b1e75d8ec522 tools build feature: Check if get_current_dir_name() is available
  - 89a0a5d6ff6a perf tools: Use %define api.pure full instead of %pure-parser
  - ce1ad429d5a1 lkdtm: don't move ctors to .rodata
  UR: pavel --!a two authors?
  - c0387536edaf vmlinux.lds.h: Create section for protection against instrumentation
  UR: pavel -- preparation, not a bugfix
  - f68e0080674d Revert "PM: runtime: Update device status before letting suppliers suspend"
  UR: pavel
  - 5812307cceb2 ALSA: hda: generic: Fix the micmute led init state
  ACK: pavel
  - 04bb225a4824 ASoC: ak5558: Add MODULE_DEVICE_TABLE
  ACK: pavel
  - 25a09f4aad56 ASoC: ak4458: Add MODULE_DEVICE_TABLE
  ACK: pavel
